package jcg.zheng.demo.builtinannotation;

import java.util.ArrayList;
import java.util.List;

public class SafeVarargsExp<T> {

	private List<T> notes = new ArrayList<>();

	public List<T> getNotes() {
		return notes;
	}

	@SafeVarargs
	public final void safe(T... toAdd) {
		for (T version : toAdd) {
			notes.add(version);
		}
	}

	public static void main(String[] args) {
		SafeVarargsExp<String> notesStr = new SafeVarargsExp<>();
		notesStr.safe("Hello", "World!");
		System.out.println(notesStr.getNotes());
	}
}