package jcg.zheng.demo.web;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.Import;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

@SpringBootApplication
@Import({ JerseyConfiguration.class })
@EnableJpaRepositories(basePackages = "jcg.zheng.demo.web")
public class ApplicationConfig extends SpringBootServletInitializer {

	public static void main(String[] args) {
		new ApplicationConfig().configure(new SpringApplicationBuilder(ApplicationConfig.class)).run(args);
	}

	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(ApplicationConfig.class);
	}

}
