package jcg.zheng.demo.web;

import org.glassfish.jersey.server.ResourceConfig;
import org.glassfish.jersey.server.ServerProperties;

import jcg.zheng.demo.web.security.RequiresPermissionsFilter;
import jcg.zheng.demo.web.service.UserResourceImpl;

public class JerseyConfiguration extends ResourceConfig {

	public JerseyConfiguration() {
		property(ServerProperties.BV_SEND_ERROR_IN_RESPONSE, true);
		property(ServerProperties.BV_DISABLE_VALIDATE_ON_EXECUTABLE_OVERRIDE_CHECK, true);

		register(UserResourceImpl.class);
		register(RequiresPermissionsFilter.class);
	}

}
