package jcg.zheng.demo.web.api;

import java.util.List;

import javax.validation.Valid;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import jcg.zheng.demo.web.data.User;

@Path("/v1/SecuredService")
@Produces({ MediaType.APPLICATION_JSON })
@Consumes({ MediaType.APPLICATION_JSON })
public interface UserResource {

	@POST
	User createUser(@Valid User user);

	@GET
	@Path(value = "/users")
	List<User> getUsers();// http://localhost:8080/v1/SecuredService/users

}